<!DOCTYPE html>
<html>
<head>
    <script src="js/jquery.min.js"></script>

    <script type="text/javascript">
		var wsUri = "ws:/localhost:8000/echo"; 
		var output, websocket;  
		
		$(document).ready(function() {
			output = $("div#log"); 
			initWebSocket(); 
			
			$('#send').click(function(){
				console.log('Message sent: ' + $('#message').val());
				writeToScreen("Websocket called");  
				websocket.send($('#message').val()); 
			});
		});
		
		
		function initWebSocket() { 
			websocket = new WebSocket(wsUri); 
			
			websocket.onopen = function (evt) { 
				console.log('Websocket open.');
				$('#status').removeClass().addClass('online').html('online');
				writeToScreen('connected to '+ wsUri)
				$('#send, #message').attr('disabled', false);
			}
			websocket.onclose = function(evt) { 
				console.log('Websocket closed.');
				$('#status').removeClass().addClass('offline').html('offline');
				$('#send, #message').attr('disabled', true);
				$('#connection').text('Connect');
				setTimeout(initWebSocket, 1000);
			} 
			websocket.onmessage = function(evt) { 
				console.log('Message received.')
				var data = JSON.parse(evt.data);
				writeToScreen('['+data.who+']: ' + data.msg); 
				output.animate({scrollTop: output.attr('scrollHeight')})
			}  
			websocket.onerror = function(evt) { 
				console.error('Error')
				$('#status').removeClass().addClass('error').html('error');
			}
		} 	
		
		function writeToScreen(message) { 
			var pre = document.createElement("pre"); 
			pre.style.wordWrap = "break-word"; 
			pre.innerHTML = message; 
			output.append(pre); 
		}  

</script>
<meta charset=utf-8 />
<style type="text/css">

body { background: #f1f1f1; padding-top: 65px; text-align: center; font-family: Arial, Helvetica, sans-serif; text-align: center; font-size: 16px; line-height: 25px; color: #444; }
a, a:hover { color: #169; }
p {  margin: 0; padding: 0 0 21px 0; }
#container { text-align: left; width: 580px; background: #fff; position: relative; margin: 0 auto; padding: 40px; border: 1px solid #ddd; border-radius: 10px; -moz-border-radius: 10px; }
h1 { font-size: 30px; color: #333; font-weight: normal; margin: 0 0 20px 0; padding: 0; }
#log { margin: 20px 0 0 0; padding: 5px; border: 1px solid #ccc; height: 200px;
overflow: auto; }
#status { float: right; padding: 0 10px; border-radius: 5px; -moz-border-radius: 5px; }
.offline { background: #ddd; color: #000; }
.online { background: #093; color: #fff; }
.error { background: #930; color: #fff; }
.connecting { background: #fc0; color: #000; }
pre { margin: 1px 0;}

</style>
<title>IRC Client</title>
</head>
<body>
    <div id="container">
        <h1>IRC Client</h1>
		<input type="text" id="message" />
        <button id="send">Send</button>
        <span id="status" class="offline">offline</span>
        <div id="log">
        </div>
    </div>
</body>
</html>​